PSW_VA_CREATE(3)

FUNCTION
psw_va_create - Create a PostScriptPage object.

SYNOPSIS
#include <karma_psw.h>

PostScriptPage psw_va_create

(Channel channel, double hoffset, double voffset, double hsize, double vsize, flag portrait, flag eps, ...)

DESCRIPTION
This routine will create a PostScriptPage object ready for writing PostScript commands to. The routine automatically writes the PostScript header.

channel
    The channel to write to.

hoffset
    The horizontal offset (in centimeters) of the co-ordinate origin.

voffset
    The vertical offset (in centimeters) of the co-ordinate origin.

hsize
    The desired horizontal size of the co-ordinate system (in centimeters).

vsize
    The desired vertical size of the co-ordinate system (in centimeters).

portrait
    If TRUE, objects will be drawn in portrait mode (i.e. the x-axis will be horizontal), else they will be drawn in landscape mode (i.e. the x-axis will be vertical).

eps If TRUE the file format will be Encapsulated PostScript, else regular PostScript is written.

... The optional list of parameter attribute-key attribute-value pairs must follow. This list must be terminated with the value PSW_ATT_END. See <-psw_ATTRIBUTES-> for a list of defined attributes.

RETURN VALUE
A PostScriptPage object on success, else NULL

Multi-threading Level
Unsafe.

NOTE
All subsequent objects drawn must lie in the range (0.0, 0.0) to (1.0, 1.0)

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/